Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.marshall
Class Region

    java.lang.Object
      org.jboss.cache.marshall.Region

    public class Region

extends java.lang.Object

A region is a collection of tree cache nodes that share the same policy. The region is specified via Fqn.

Author:
  Ben Wang 8-2005

Field Summary
`static int` | `STATUS_ACTIVE`
`static int` | `STATUS_INACTIVE`
`static int` | `STATUS_QUEUEING`

Constructor Summary
`Region(java.lang.String fqn, java.lang.ClassLoader cl)`
`Region(java.lang.String fqn, java.lang.ClassLoader cl, boolean inactive)`

Method Summary
`void` | `activate()`
`java.lang.ClassLoader` | `getClassLoader()`
`java.lang.String` | `getFqn()`
`java.util.List` | `getMethodCallQueue()`
`int` | `getStatus()`
`void` | `inactivate()`
`boolean` | `isActive()`
`boolean` | `isInactive()`
`boolean` | `isQueueing()`
`void` | `setClassLoader(java.lang.ClassLoader classLoader)`
`void` | `startQueuing()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATUS_ACTIVE

    public static final int STATUS_ACTIVE

See Also:
  Constant Field Values

### STATUS_INACTIVE

    public static final int STATUS_INACTIVE

See Also:
  Constant Field Values

### STATUS_QUEUEING

    public static final int STATUS_QUEUEING

See Also:
  Constant Field Values

Constructor Detail

### Region

    public Region(java.lang.String fqn,
                  java.lang.ClassLoader cl)

### Region

    public Region(java.lang.String fqn,
                  java.lang.ClassLoader cl,
                  boolean inactive)

Method Detail

### getFqn

    public java.lang.String getFqn()

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

### setClassLoader

    public void setClassLoader(java.lang.ClassLoader classLoader)

### isActive

    public boolean isActive()

### isInactive

    public boolean isInactive()

### isQueueing

    public boolean isQueueing()

### getStatus

    public int getStatus()

### inactivate

    public void inactivate()

### activate

    public void activate()

### startQueuing

    public void startQueuing()

### getMethodCallQueue

    public java.util.List getMethodCallQueue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2005 JBoss Inc . All Rights Reserved.